| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CVSAccess Class Reference
Network

`#include <cvsaccess.h>`

## Public Member Functions
| CVSAccess (const char *dir)
virtual | ~CVSAccess ()
bool | add (const BufferStringSet &, bool binary=false)
bool | add (const char *, bool binary=false)
const char * | baseDir () const
bool | changeFolder (const char *fnm, const char *fromsubdir, const char *tosubdir)
bool | commit (const BufferStringSet &, const char *msg=0)
bool | commit (const char *fnm, const char *msg=0)
void | diff (const char *fnm, BufferString &) const
bool | edit (const BufferStringSet &)
bool | edit (const char *)
void | getEditTxts (const char *fnm, BufferStringSet &) const
void | getEntries (const char *subdir, BufferStringSet &) const
const char * | host () const
bool | hostOK () const
bool | isInCVS (const char *) const
bool | isOK () const
bool | remove (const BufferStringSet &)
bool | remove (const char *)
bool | rename (const char *subdir, const char *from, const char *to)
const char * | reposDir () const
bool | update (const char *fnm=0)

## Protected Member Functions
bool | doRename (const char *, const char *, const char *, const char *)

## Protected Attributes
const BufferString | dir_
const BufferString | host_
BufferString | reposdir_
BufferString | serverdir_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ CVSAccess()

CVSAccess::CVSAccess | ( | const char * | dir | ) |

## ◆ ~CVSAccess()

virtual CVSAccess::~CVSAccess | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add() [1/2]

bool CVSAccess::add | ( | const BufferStringSet & | ,
|  | bool | binary = false )

## ◆ add() [2/2]

bool CVSAccess::add | ( | const char * | ,
|  | bool | binary = false )

## ◆ baseDir()

const char * CVSAccess::baseDir | ( |  | ) | const
| inline

## ◆ changeFolder()

bool CVSAccess::changeFolder | ( | const char * | fnm,
|  | const char * | fromsubdir,
|  | const char * | tosubdir )

## ◆ commit() [1/2]

bool CVSAccess::commit | ( | const BufferStringSet & | ,
|  | const char * | msg = 0 )

## ◆ commit() [2/2]

bool CVSAccess::commit | ( | const char * | fnm,
|  | const char * | msg = 0 )

## ◆ diff()

void CVSAccess::diff | ( | const char * | fnm,
|  | BufferString & | ) const

## ◆ doRename()

bool CVSAccess::doRename | ( | const char * | ,
|  | const char * | ,
|  | const char * | ,
|  | const char * | )
| protected

## ◆ edit() [1/2]

bool CVSAccess::edit | ( | const BufferStringSet & |  | ) |

## ◆ edit() [2/2]

bool CVSAccess::edit | ( | const char * |  | ) |

## ◆ getEditTxts()

void CVSAccess::getEditTxts | ( | const char * | fnm,
|  | BufferStringSet & | ) const

## ◆ getEntries()

void CVSAccess::getEntries | ( | const char * | subdir,
|  | BufferStringSet & | ) const

## ◆ host()

const char * CVSAccess::host | ( |  | ) | const
| inline

## ◆ hostOK()

bool CVSAccess::hostOK | ( |  | ) | const

## ◆ isInCVS()

bool CVSAccess::isInCVS | ( | const char * |  | ) | const

## ◆ isOK()

bool CVSAccess::isOK | ( |  | ) | const
| inline

## ◆ remove() [1/2]

bool CVSAccess::remove | ( | const BufferStringSet & |  | ) |

## ◆ remove() [2/2]

bool CVSAccess::remove | ( | const char * |  | ) |

## ◆ rename()

bool CVSAccess::rename | ( | const char * | subdir,
|  | const char * | from,
|  | const char * | to )

## ◆ reposDir()

const char * CVSAccess::reposDir | ( |  | ) | const
| inline

## ◆ update()

bool CVSAccess::update | ( | const char * | fnm = 0 | ) |

## Member Data Documentation

## ◆ dir_

const BufferString CVSAccess::dir_
| protected

## ◆ host_

const BufferString CVSAccess::host_
| protected

## ◆ reposdir_

BufferString CVSAccess::reposdir_
| protected

## ◆ serverdir_

BufferString CVSAccess::serverdir_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025